程序師世界是廣大編程愛好者互助、分享、學習的平台,程序師世界有你更精彩!
首頁
編程語言
C語言|JAVA編程
Python編程
網頁編程
ASP編程|PHP編程
JSP編程
數據庫知識
MYSQL數據庫|SqlServer數據庫
Oracle數據庫|DB2數據庫
 程式師世界 >> 編程語言 >> .NET網頁編程 >> C# >> C#入門知識 >> Revit API移動風管

Revit API移動風管

編輯:C#入門知識

移動風管曲線就可以移動風管
[TransactionAttribute(Autodesk.Revit.Attributes.TransactionMode.Manual)]
  cmdMoveDuct : IExternalCommand
{
     Result Execute(ExternalCommandData commandData,   messages, ElementSet elements)
    {
        UIApplication app = commandData.Application;
        Document doc = app.ActiveUIDocument.Document;
        Selection sel = app.ActiveUIDocument.Selection;

        Transaction ts =  Transaction(doc, );
        ts.Start();

        Reference refDuct = sel.PickObject(ObjectType.Element, );
        Duct duct = doc.GetElement(refDuct)  Duct;
        LocationCurve lCurve = duct.Location  LocationCurve;
        lCurve.Move( XYZ(, , ));
        ts.Commit();

         Result.Succeeded;
    }
}url:

  1. 上一頁:
  2. 下一頁:
Copyright © 程式師世界 All Rights Reserved